Subject: Re: bug#58509: 29.0.50; Synchronous nativecomp

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 18 Oct 2022 20:14:15 +0200

Eli Zaretskii <[email-masked]> writes:

>> That is, instead of that, we could have a --native-compile-mode command
>> line switch with the values --native-compile-mode=none,
>> --native-compile-mode=sync and --native-compile-mode=normal?
>
> I doubt we really need to have an option with 3 values.  The default
> already does TRT in almost all cases, so all we need is to suppress
> async compilation of trampolines, because that could cause trouble.

For bug bug#58509 we need the sync case; for the trampoline fork bomb we
need the don't-do-anything case -- that's two cases, right?

Then the default, normal, NO-OP case is the third, which is pretty
normal practice when doing command line switches like this, so that you
don't have to mogrify the command line arguments when exec-ing and
choosing between the three cases.